Verständnisfrage und Lösungssuche (MySQL + PHP in XAMPP)

Irgendwelche Probleme mit XAMPP für Windows? Dann ist hier genau der richtige Ort um nachzufragen.

Verständnisfrage und Lösungssuche (MySQL + PHP in XAMPP)

Postby purchaser » 06. May 2008 15:21

Servus,

in der Signatur ersichtlich .. ist mein Wissen in Bezug auf die Module ein wenig eingestaubt ;-)

Hätte zum einen eine Verständisfrage und zum anderen suche ich ggf.eine Lösung.

Habe/Hatte vor der Xampp Inst. auf dem Windows Server 2003
eine MySQL 3.xx laufen, die seitens CAO Faktura benötigt wird.
Da ich nach dem Test einen Schritt weiter bin und die Anbindung mit XTCommerce testen wollte suchte ich nach komfortablen Lösungen.
Xampp gefällt mir soweit bestens, da es als Bundle daher kommt und
eigentlich problemlos läuft (außerdem Apache nutzt).

Allerdings liegt hier die MySQL 5.x dabei. Ich kann zwecks CAO Faktura leider nur bis Version 4 gehen.

Versuche bisher ... (hier und da was im Netz finden können)
aus mysql-4 die ordner "bin + data + share" in das mysql von "xampp" kopiert.
geht .. allerdings fraglich ob ich hier mit problemen rechnen muss.
da zB. "phpmyadmin" hier die immernoch die API 5 liest.
und links auf der Seite schon Darstellungsfehler kommen.

Bevor ich also jetzt weitermache und ggf. zu spät feststellen werde,
dass dies so einfach nicht geht ...
frage ich mal Euch was ich noch anpassen ..oder sogar ganz anders machen sollte ?

ziel .. xampp weiter nutzen .. jedoch nur die mysql version auf 4 downgraden =)
weiß jemand wie das ohne anderen Stellen Probleme zu generieren geht ?

merci für ein paar ideen.

vg
sven


***EDIT***

..niemand weiß wo oder wie ich phpmyadmin ändern muss ?

okay.. dann begnüge ich mich mit der version 1.4.16 die den mysql 4.x inne hat .. :-/
IT Einkäufer der sich nach 8 Jahren mal wieder mit PHP/SQL/Apache auseinandersetzt. Und es kommt mir gerade noch viel länger vor .. 0.o .. XAMPP 1.4.16 ( apache 2.0.54 )
purchaser
 
Posts: 15
Joined: 06. May 2008 09:56

Postby Nobbie » 07. May 2008 10:32

Ich würde erst mal testen, ob die Software nicht auch mit MySQL 5 läuft - wenn sie sauber programmiert ist, steht dem nichts im Wege.

Abwärtskompatibilität ist das kleinere Problem - anders herum (für MySQL 5 entwickelt und unter MySQL 4 laufen lassen) ist es normalerweise ein Problem.
Nobbie
 
Posts: 8779
Joined: 09. March 2008 13:04

Postby purchaser » 07. May 2008 15:19

servus,

die laufende software (cao-faktura) verlangt leider nach mysql <5...
also 3.x und 4.x laufen. bei 5 startet schon der client nicht und jammert.

hab nun einfach folgende version von xampp gezogen und installiert
xampp 1.4.16 (sourceforge).

das ganz herumspielen mit sql und phpmyadmin war mir zu unsicher.
würde nur ungern durch rumfummeln in dem bundle unabsehbare probleme generieren.


vg
IT Einkäufer der sich nach 8 Jahren mal wieder mit PHP/SQL/Apache auseinandersetzt. Und es kommt mir gerade noch viel länger vor .. 0.o .. XAMPP 1.4.16 ( apache 2.0.54 )
purchaser
 
Posts: 15
Joined: 06. May 2008 09:56


Return to XAMPP für Windows

Who is online

Users browsing this forum: No registered users and 6 guests